### Signal

# Gtk Editable::input-intercepted

unstable since: 4.24

#### Declaration

    void
    input_intercepted (
      GtkEditable* self,
      gpointer user_data
    )

#### Description [src]

Emitted whenever keyboard input has been handled through the input interceptor widget set through `gtk_editable_set_input_interceptor()`

A typical reaction to this event would be to show and focus `editable`, so that input is handled directly. In that case keyboard input will no longer be handled through the input interceptor and this signal will stop being emitted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.24